From e6234f839fadb3db05e733ce9b9caf08da64aad7 Mon Sep 17 00:00:00 2001
From: Louis Bettens <louis@bettens.info>
Date: Sat, 30 Nov 2013 21:28:40 +0100
Subject: [PATCH 5/5] use Email::Date::Format instead of strftime

---
 debian/control       | 1 +
 scripts/bts.pl       | 6 ++----
 scripts/debchange.pl | 6 ++----
 scripts/mass-bug.pl  | 6 ++----
 4 files changed, 7 insertions(+), 12 deletions(-)

diff --git a/debian/control b/debian/control
index d48f7f2..cdbc576 100644
--- a/debian/control
+++ b/debian/control
@@ -11,6 +11,7 @@ Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9),
                docbook-xsl,
                libdistro-info-perl,
+               libemail-date-format-perl,
                libfile-desktopentry-perl,
                libjson-perl,
                libparse-debcontrol-perl,
diff --git a/scripts/bts.pl b/scripts/bts.pl
index 80003df..0822216 100755
--- a/scripts/bts.pl
+++ b/scripts/bts.pl
@@ -61,9 +61,7 @@ use Getopt::Long;
 use Encode;
 
 use Scalar::Util qw(looks_like_number);
-use POSIX qw(locale_h strftime);
-
-setlocale(LC_TIME, "C"); # so that strftime is locale independent
+use Email::Date::Format qw(email_date);
 
 # Funny UTF-8 warning messages from HTML::Parse should be ignorable (#292671)
 $SIG{'__WARN__'} = sub { warn $_[0] unless $_[0] =~ /^Parsing of undecoded UTF-8 will give garbage when decoding entities/; };
@@ -2524,7 +2522,7 @@ sub send_mail {
     my $fromaddress = $fromaddresses[0];
     # Message-ID algorithm from git-send-email
     my $msgid = sprintf("%s-%s", time(), int(rand(4200)))."-bts-$fromaddress";
-    my $date = strftime "%a, %d %b %Y %T %z", localtime;
+    my $date = email_date;
 
     my $message = fold_from_header("From: $from") . "\n";
     $message   .= "To: $to\n" if length $to;
diff --git a/scripts/debchange.pl b/scripts/debchange.pl
index b6ce458..bf787cf 100755
--- a/scripts/debchange.pl
+++ b/scripts/debchange.pl
@@ -43,9 +43,7 @@ use Dpkg::Compression;
 use Dpkg::Vendor qw(get_current_vendor);
 use lib '/usr/share/devscripts';
 use Devscripts::Debbugs;
-use POSIX qw(locale_h strftime);
-
-setlocale(LC_TIME, "C"); # so that strftime is locale independent
+use Email::Date::Format qw(email_date);
 
 # Predeclare functions
 sub fatal($);
@@ -997,7 +995,7 @@ if (@ARGV and ! $TEXT) {
 
 # Get the date
 $opt_timestamp = defined $opt_timestamp ? $opt_timestamp : time;
-my $DATE=strftime "%a, %d %b %Y %T %z", localtime($opt_timestamp);
+my $DATE=email_date($opt_timestamp);
 
 if ($opt_news && !$opt_i && !$opt_a) {
     if ($VERSION eq $changelog{'Version'} && !$opt_v && !$opt_l) {
diff --git a/scripts/mass-bug.pl b/scripts/mass-bug.pl
index 247de52..b8b9b05 100755
--- a/scripts/mass-bug.pl
+++ b/scripts/mass-bug.pl
@@ -152,9 +152,7 @@ use strict;
 use Getopt::Long qw(:config gnu_getopt);
 use Text::Wrap;
 use File::Basename;
-use POSIX qw(locale_h strftime);
-
-setlocale(LC_TIME, "C"); # so that strftime is locale independent
+use Email::Date::Format qw(email_date);
 
 my $progname = basename($0);
 $Text::Wrap::columns=70;
@@ -325,7 +323,7 @@ sub mailbts {
     my ($subject, $body, $to, $from) = @_;
 
     if (defined $from) {
-	my $date = strftime "%a, %d %b %Y %T %z", localtime;
+	my $date = email_date;
 
 	my $pid = open(MAIL, "|-");
 	if (! defined $pid) {
-- 
1.8.4.3

